<?php

namespace VerifoneEcomAPI\ApiWrapper\Schemas;

/**
 * Class RefundSchema
 * @package VerifoneEcomAPI\ApiWrapper\Schemas
 */
class RefundPaypalSchema implements SchemaInterface {
    public function getSchema() {
        return [
            'amount' => [
                'value' => [
                    'required' => true,
                    'type' => 'integer',
                ],
                'currencyCode' => [
                    'required' => true,
                    'type' => 'string'
                ]
            ],
            'reason' => [
                'required' => false,
                'type' => 'string',
            ],
        ];
    }
}
