<button type="button" id="voidAuthorization" class="button <?php echo $slug; ?>" data-url="<?php echo $url; ?>" data-id="<?php echo $order->get_id(); ?>">
    <?php echo $label; ?>
</button>

<script type="text/javascript">

    jQuery('#voidAuthorization').click(function (e) {
        e.preventDefault();
        performVoidAuth(jQuery(this));
    })

    function performVoidAuth(self) {
        let postData = {},
            url = self.data('url');

        jQuery('.processing-vf').show();
        jQuery('.buttons-vf').hide();
        self.attr('disabled', true);

        postData.order_id = self.data('id');

        jQuery.ajax({
            method: "POST",
            url: url,
            data: postData,
        }).done(function (response) {
            alert(response.message);
            location.reload();
        }).fail(function (response) {
            console.error(response);
            jQuery('.processing-vf').hide();
            jQuery('.buttons-vf').show();
            self.attr('disabled', false);
            alert(response.message);
        })
        return true;
    }
</script>
