<?php
/**
 * Plugin Name: Verifone Hosted Cart
 * Plugin URI:
 * Description: Allows you to use Verifone Hosted payment gateway with the WooCommerce plugin.
 * Version: 2.5.3
 * Author: verifone
 * Author URI: https://www.verifone.com
 * WC requires at least: 4.6.2
 * WC tested up to: 6.4.1
 */

if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly
}
add_filter( 'woocommerce_payment_gateways', 'add_verifone_hosted_gateway' );
function add_verifone_hosted_gateway( $methods ) {
    require_once 'autoload.php';
    require_once 'bootstrap.php';
    $methods[] = 'WC_Verifone_Hosted_Gateway';

    return $methods;
}

;

